/*---------------------------------------------------------------------------*/
/*                                PRG-2051                                   */
/*                                                                           */
/* Device programmer for the Atmel 89C2051 and 89C1051 microcontrollers.     */
/*                                                                           */
/* Filename:    BIOS.H                                                       */
/* Description: Basic Input/Output System header file                        */
/*                                                                           */
/* Copyright (c) 1995,1996,1997 Electronic Design Associates.                */
/* All rights reserved.                                                      */
/*                                                                           */
/*---------------------------------------------------------------------------*/

extern void vcc_off(void);
extern void vcc_on(void);
extern void vpp_on(void);
extern void vpp_off(void);
extern void reset_on(void);
extern void reset_off(void);
extern void prog_on(void);
extern void prog_off(void);
extern void clock_on(void);
extern void clock_off(void);
extern void latch_enable(void);
extern void latch_disable(void);
extern void output_enable(void);
extern void output_disable(void);
extern void boot_enable(void);
extern void set_cmd(char);
extern void set_data(char);
extern char get_data(void);
