/*---------------------------------------------------------------------------*/
/*                                PRG-2051                                   */
/*                                                                           */
/* Device programmer for the Atmel 89C2051 and 89C1051 microcontrollers.     */
/*                                                                           */
/* Filename:    HARDWARE.H                                                   */
/* Description: PRG-2051 programmer hardware definitions.                    */
/*                                                                           */
/* Copyright (c) 1995,1996,1997 Electronic Design Associates.                */
/* All rights reserved.                                                      */
/*                                                                           */
/*---------------------------------------------------------------------------*/

sbit    VPP_CTRL  = 0xb2;
sbit    OUTPUT_EN = 0xb3;
sbit    VCC_CTRL  = 0xb4;
sbit    BOOT_EN	  = 0xb5;
sbit    LATCH_EN  = 0x90;
sbit    CLOCK     = 0x91;
sbit    PROG      = 0x92;
sbit    RST_CTRL  = 0x93;
sbit    CMD0      = 0x94;
sbit    CMD1      = 0x95;
sbit    CMD2      = 0x96;
sbit    CMD3      = 0x97;

#define XBYTE ((unsigned char*) 0x20000L)

