/*---------------------------------------------------------------------------*/
/*                                PRG-2051                                   */
/*                                                                           */
/* Device programmer for the Atmel 89C2051 and 89C1051 microcontrollers.     */
/*                                                                           */
/* Filename:    SUBRS.H                                                      */
/* Description: Subroutines header file.                                     */
/*                                                                           */
/* Copyright (c) 1995,1996,1997 Electronic Design Associates.                */
/* All rights reserved.                                                      */
/*                                                                           */
/*---------------------------------------------------------------------------*/

extern void clear_buffer(void);
extern void delay10ms(void);
extern void delay10us(void);
extern void device_on(void);
extern void device_off(void);
extern unsigned char hex2bin(void);
extern char prog_byte(char);
extern int strtoi(char*);

extern unsigned char Hex[];
