/*---------------------------------------------------------------------------*/
/*                                PRG-2051                                   */
/*                                                                           */
/* Device programmer for the Atmel 89C2051 and 89C1051 microcontrollers.     */
/*                                                                           */
/* Filename:    COMMAND.H                                                    */
/* Description: User interface command functions header file.                */
/*                                                                           */
/* Copyright (c) 1995,1996,1997 Electronic Design Associates.                */
/* All rights reserved.                                                      */
/*                                                                           */
/*---------------------------------------------------------------------------*/

extern void automatic(void);
extern void blankcheck(void);
extern void checksum(void);
extern void dump(int);
extern void enter(char*);
extern void erase(void);
extern void fill(char*);
extern void help(void);
extern void info(void);
extern void load(void);
extern void lock(void);
extern void program(void);
extern void read(void);
extern void signature(void);
extern void type(char);
extern char verify(void);


extern xdata char prog_buffer[BUFFER_SIZE];

